> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/deployment/stream.md).

# Stream

- [Introduction and requirements](https://docs.vectra.ai/deployment/stream/introduction-and-requirements.md): Introduction to Stream deployment, licensing steps, and connectivity requirements.
- [Stream sizing](https://docs.vectra.ai/deployment/stream/stream-sizing.md): Sizing guidelines for Stream VMs and M-Series appliances.
- [Preparing to deploy Stream](https://docs.vectra.ai/deployment/stream/preparing-to-deploy-stream.md): Download Stream images and collect deployment inputs, including Brain details and Sensor Registration Tokens (SRTs).
- [Deployment](https://docs.vectra.ai/deployment/stream/deployment.md): Platform-specific Stream deployment guides as part of overall Stream deployment and configuration process.
- [VMware Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/vmware-stream-deployment.md): Deploy Stream on VMware using an OVA via vCenter/vSphere or via the Brain CLI provisioning command.
- [Hyper-V Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/hyper-v-stream-deployment.md): Deploy Stream on Hyper-V using the provided VHD and PowerShell deployment script.
- [KVM Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/kvm-stream-deployment.md): Deploy Stream on KVM using the image tarball and \`vectra-stream.sh\`, with basic \`virsh\` troubleshooting tips.
- [AWS Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/aws-stream-deployment.md): Deploying Stream in AWS environments using and image from the AWS Marketplace.
- [Azure Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/azure-stream-deployment.md): Deploying Stream in Azure using a image from the Azure Marketplace.
- [GCP Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/gcp-stream-deployment.md): Deploy Stream in GCP using \`gcloud infra-manager\` with aVectra-provided template and image shared to you from Vectra.
- [M-Series Stream deployment](https://docs.vectra.ai/deployment/stream/deployment/m-series-stream-deployment.md): Quick-start steps to deploy Stream on a physical M-Series appliance, then pair and enable publishing.
- [Initial CLI configuration](https://docs.vectra.ai/deployment/stream/initial-cli-configuration.md): Connect to the Stream CLI and configure static IP, gateway, DNS, and password changes if not using DHCP or changes are needed after initial deployment.
- [Pairing Stream appliances](https://docs.vectra.ai/deployment/stream/pairing-stream-appliances.md): How to pair Stream appliances with your Vectra Brain appliance.
- [Metadata filtering and publishing](https://docs.vectra.ai/deployment/stream/metadata-filtering-and-publishing.md): How to configure options for metadata filtering and the destination publisher of your choice.
- [Publisher specific guidance](https://docs.vectra.ai/deployment/stream/publisher-specific-guidance.md): Instructions for specific publishers that you are using to receive Stream data.
- [Elastic, Syslog, and Kafka](https://docs.vectra.ai/deployment/stream/publisher-specific-guidance/elastic-syslog-and-kafka.md): Details for Elastic, Syslog, and Kafka Stream publishers.
- [ELK integration](https://docs.vectra.ai/deployment/stream/publisher-specific-guidance/elk-integration.md): Integrate Vectra Stream custom content with Elastic, Logstash, and Kibana deployments.
- [Splunk integration](https://docs.vectra.ai/deployment/stream/publisher-specific-guidance/splunk-integration.md): This article is meant to be used by customers who will be integrating Vectra Steam metadata into their Splunk installation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vectra.ai/deployment/stream.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
